सामग्री पर जाएँ

FLUX.1 [schnell]

इंटीग्रेट करें

मॉडल id flux/schnell
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux/schnell?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Top-down food photograph of a breakfast spread on a linen tablecloth: sourdough toast with avocado, a bowl of berries, a cappuccino with latte art, soft morning window light.",
    "num_outputs": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.003 3 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs टेक्स्ट से इमेज तेज़ #fast#budget#drafts

सबसे तेज़ और किफ़ायती FLUX मॉडल, जो प्रॉम्प्ट से लगभग एक सेकंड में तैयार चित्र बनाता है।

उदाहरण

आउटपुट · ~10 s
Top-down food photograph of a breakfast spread on a linen tablecloth: sourdough toast with avocado, a bowl of berries...

प्रॉम्प्टTop-down food photograph of a breakfast spread on a linen tablecloth: sourdough toast with avocado, a bowl of berries, a cappuccino with latte art, soft morning window light.

1$0.003 · 3 API क्रेडिट

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।

image_size डिफ़ॉल्ट landscape_4_3

निर्मित इमेज के आयाम।

num_images

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत output_format · acceleration · num_inference_steps · guidance_scale · seed · enable_safety_checker
output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

acceleration डिफ़ॉल्ट none

निर्माण त्वरण; अधिक सेटिंग परिणाम बनाने में लगने वाला समय कम करती हैं।

डिफ़ॉल्ट 4

चलाए जाने वाले inference चरणों की संख्या।

डिफ़ॉल्ट 3.5

इमेज चयन के लिए प्रॉम्प्ट-अनुरूपता की शक्ति, CFG (Classifier Free Guidance) के रूप में व्यक्त।

दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।

POST /run/flux/schnell?wait=20 कोटेशन → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux/schnell?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Top-down food photograph of a breakfast spread on a linen tablecloth: sourdough toast with avocado, a bowl of berries, a cappuccino with latte art, soft morning window light.",
    "num_outputs": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

FLUX.1 [schnell] के बारे में

12 बिलियन पैरामीटर वाला डिस्टिल्ड FLUX मॉडल, जिसे केवल 1 से 4 डिनॉइज़िंग चरणों की आवश्यकता होती है, इसलिए यह प्रॉम्प्ट को इमेज में बदलने का सबसे तेज़ तरीका है। ड्राफ़्ट, थंबनेल, प्रीव्यू और उच्च-वॉल्यूम पाइपलाइन के लिए इसका उपयोग करें; जब बारीक विवरण या सटीक अक्षरांकन महत्वपूर्ण हो, तो बड़े FLUX मॉडल पर स्विच करें। 14 मेगापिक्सेल तक का कोई भी आकार, प्रति अनुरोध अधिकतम चार इमेज।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट4
1 – 12
चलाए जाने वाले inference चरणों की संख्या।
promptआवश्यक
प्रकारstring
इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।
image_sizeवैकल्पिक
प्रकारobject
डिफ़ॉल्टlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
निर्मित इमेज के आयाम।
seedवैकल्पिक
प्रकारinteger | null
दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3.5
1 – 20
इमेज चयन के लिए प्रॉम्प्ट-अनुरूपता की शक्ति, CFG (Classifier Free Guidance) के रूप में व्यक्त।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्माण के लिए अनुरोधित इमेज की संख्या।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा जाँच, जो असुरक्षित चिह्नित इमेज के स्थान पर काली इमेज लौटाती है। true मान जाँच सक्षम करता है; false इसे केवल अधिकृत खातों के लिए अक्षम करता है, जबकि बिना प्राधिकरण वाले अनुरोधों की जाँच हमेशा की जाती है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpng
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टnone
noneregularhigh
निर्माण त्वरण; अधिक सेटिंग परिणाम बनाने में लगने वाला समय कम करती हैं।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux/schnell",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "prompt": "A lighthouse on a rocky coast at dusk, waves crashing, warm light in the window, cinematic wide shot",
    "image_size": "landscape_16_9",
    "num_images": 1
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, width, height, content_type}निर्मित इमेज की फ़ाइल जानकारी।
timings
object
seed
integerइमेज-निर्माण seed, जिसमें इनपुट में seed न दिए जाने पर यादृच्छिक रूप से चुना गया मान शामिल है; अन्यथा, यह दिए गए मान को दोहराता है।
has_nsfw_concepts
array of booleanबताता है कि बनाई गई इमेज में NSFW अवधारणाएँ दिखाई देती हैं या नहीं।
prompt
stringइमेज निर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।

और मॉडल: टेक्स्ट से इमेज

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux/schnell.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt